Bug 963504 - pmchart preferences dialog sigsegv on color scheme removal
pmchart preferences dialog sigsegv on color scheme removal
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: pcp-gui (Show other bugs)
20
Unspecified All
unspecified Severity unspecified
: ---
: ---
Assigned To: Nathan Scott
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-15 21:52 EDT by Nathan Scott
Modified: 2014-02-04 16:43 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-04 16:43:28 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Nathan Scott 2013-05-15 21:52:40 EDT
Description of problem:

While fixing an unrelated issue (922198) with the pmchart preferences window, came across a problem with the color scheme Remove button, which resuls in a sigsegv.

nathans@smash:/source/git/nathans-pcp$ pmchart 
Segmentation fault (core dumped)
nathans@smash:/source/git/nathans-pcp$ gdb --args pmchart
GNU gdb (GDB) Red Hat Enterprise Linux (7.2-56.el6)
Copyright (C) 2010 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.  Type "show copying"
and "show warranty" for details.
This GDB was configured as "x86_64-redhat-linux-gnu".
For bug reporting instructions, please see:
<http://www.gnu.org/software/gdb/bugs/>...
Reading symbols from /usr/bin/pmchart...Reading symbols from /usr/lib/debug/usr/bin/pmchart.debug...done.
done.
(gdb) r
Starting program: /usr/bin/pmchart 
[Thread debugging using libthread_db enabled]

[New Thread 0x7fffec496700 (LWP 12738)]
Detaching after fork from child process 12739.

Program received signal SIGSEGV, Segmentation fault.
0x000000000045c22d in size (this=<value optimized out>) at /usr/include/QtCore/qlist.h:90
90	    inline int size() const { return d->end - d->begin; }
Missing separate debuginfos, use: debuginfo-install GConf2-2.28.0-6.el6.x86_64 ORBit2-2.14.17-3.2.el6_3.x86_64 PackageKit-gtk-module-0.5.8-20.el6.x86_64 atk-1.28.0-2.el6.x86_64 avahi-glib-0.6.25-11.el6.x86_64 avahi-libs-0.6.25-11.el6.x86_64 cairo-1.8.8-3.1.el6.x86_64 cyrus-sasl-gssapi-2.1.23-13.el6_3.1.x86_64 cyrus-sasl-lib-2.1.23-13.el6_3.1.x86_64 cyrus-sasl-md5-2.1.23-13.el6_3.1.x86_64 cyrus-sasl-plain-2.1.23-13.el6_3.1.x86_64 db4-4.7.25-17.el6.x86_64 dbus-glib-0.86-5.el6.x86_64 dbus-libs-1.2.24-7.el6_3.x86_64 expat-2.0.1-11.el6_2.x86_64 fontconfig-2.8.0-3.el6.x86_64 freetype-2.3.11-14.el6_3.1.x86_64 glib2-2.22.5-7.el6.x86_64 glibc-2.12-1.80.el6_3.7.x86_64 gnome-keyring-2.28.2-8.el6_3.x86_64 gnome-vfs2-2.24.2-6.el6.x86_64 gtk2-2.18.9-10.el6.x86_64 gtk2-engines-2.18.4-5.el6.x86_64 ibus-qt-1.3.0-2.el6.x86_64 keyutils-libs-1.4-4.el6.x86_64 krb5-libs-1.9-33.el6_3.3.x86_64 lcms-libs-1.19-1.el6.x86_64 libICE-1.0.6-1.el6.x86_64 libSM-1.1.0-7.1.el6.x86_64 libX11-1.3-2.el6.x86_64 libXau-1.0.5-1.el6.x86_64 libXcomposite-0.4.1-2.el6.x86_64 libXcursor-1.1.10-2.el6.x86_64 libXdamage-1.1.2-1.el6.x86_64 libXext-1.1-3.el6.x86_64 libXfixes-4.0.4-1.el6.x86_64 libXi-1.3-3.el6.x86_64 libXinerama-1.1-1.el6.x86_64 libXrandr-1.3.0-4.el6.x86_64 libXrender-0.9.5-1.el6.x86_64 libart_lgpl-2.3.20-5.1.el6.x86_64 libbonobo-2.24.2-5.el6.x86_64 libbonoboui-2.24.2-3.el6.x86_64 libcanberra-0.22-1.el6.x86_64 libcanberra-gtk2-0.22-1.el6.x86_64 libcom_err-1.41.12-12.el6.x86_64 libgcc-4.4.6-4.el6.x86_64 libgnome-2.28.0-11.el6.x86_64 libgnomecanvas-2.26.0-4.el6.x86_64 libgnomeui-2.24.1-4.el6.x86_64 libicu-4.2.1-9.1.el6_2.x86_64 libjpeg-6b-46.el6.x86_64 libmng-1.0.10-4.1.el6.x86_64 libogg-1.1.4-2.1.el6.x86_64 libpng-1.2.49-1.el6_2.x86_64 libselinux-2.0.94-5.3.el6_3.1.x86_64 libstdc++-4.4.6-4.el6.x86_64 libtdb-1.2.1-3.el6.x86_64 libtiff-3.9.4-9.el6_3.x86_64 libtool-ltdl-2.2.6-15.5.el6.x86_64 libuuid-2.17.2-12.7.el6_3.x86_64 libvorbis-1.2.3-4.el6_2.1.x86_64 libxcb-1.5-1.el6.x86_64 libxml2-2.7.6-8.el6_3.4.x86_64 nspr-4.9.2-1.el6_3.x86_64 nss-3.13.6-2.el6_3.x86_64 nss-softokn-3.12.9-11.el6.x86_64 nss-softokn-freebl-3.12.9-11.el6.x86_64 nss-util-3.13.6-1.el6_3.x86_64 openssl-1.0.0-25.el6_3.1.x86_64 pango-1.28.1-7.el6_3.x86_64 pixman-0.18.4-1.el6_0.1.x86_64 popt-1.13-7.el6.x86_64 qt-4.6.2-24.el6.x86_64 qt-x11-4.6.2-24.el6.x86_64 sqlite-3.6.20-1.el6.x86_64 zlib-1.2.3-27.el6.x86_64
(gdb) bt
#0  0x000000000045c22d in size (this=<value optimized out>) at /usr/include/QtCore/qlist.h:90
#1  size (this=<value optimized out>) at /usr/include/QtCore/qlist.h:120
#2  size (this=<value optimized out>) at colorscheme.h:27
#3  SettingsDialog::setupSchemePalette (this=<value optimized out>) at settingsdialog.cpp:425
#4  0x000000000045c92b in SettingsDialog::schemeComboBox_currentIndexChanged (this=0xf013b0, index=5)
    at settingsdialog.cpp:460
#5  0x000000000048747f in SettingsDialog::qt_metacall (this=0xf013b0, _c=QMetaObject::InvokeMetaMethod, 
    _id=<value optimized out>, _a=0x7fffffffc7f0) at moc_settingsdialog.cpp:154
#6  0x0000003c7656a50f in QMetaObject::activate(QObject*, QMetaObject const*, int, void**) ()
   from /usr/lib64/libQtCore.so.4
#7  0x0000003c76f42591 in QComboBox::currentIndexChanged(int) () from /usr/lib64/libQtGui.so.4
#8  0x0000003c76f43c0c in ?? () from /usr/lib64/libQtGui.so.4
#9  0x0000003c76f4668f in ?? () from /usr/lib64/libQtGui.so.4
#10 0x0000003c76f46a94 in ?? () from /usr/lib64/libQtGui.so.4
#11 0x0000003c76f4b478 in QComboBox::qt_metacall(QMetaObject::Call, int, void**) () from /usr/lib64/libQtGui.so.4
#12 0x0000003c7656a50f in QMetaObject::activate(QObject*, QMetaObject const*, int, void**) ()
   from /usr/lib64/libQtCore.so.4
#13 0x0000003c771df052 in ?? () from /usr/lib64/libQtGui.so.4
#14 0x0000003c76f4500b in ?? () from /usr/lib64/libQtGui.so.4
#15 0x0000003c76556df7 in QCoreApplicationPrivate::sendThroughObjectEventFilters(QObject*, QEvent*) ()
   from /usr/lib64/libQtCore.so.4
#16 0x0000003c76baa9dc in QApplicationPrivate::notify_helper(QObject*, QEvent*) () from /usr/lib64/libQtGui.so.4
#17 0x0000003c76bb11ad in QApplication::notify(QObject*, QEvent*) () from /usr/lib64/libQtGui.so.4
#18 0x0000003c765579dc in QCoreApplication::notifyInternal(QObject*, QEvent*) () from /usr/lib64/libQtCore.so.4
#19 0x0000003c76bb039e in QApplicationPrivate::sendMouseEvent(QWidget*, QMouseEvent*, QWidget*, QWidget*, QWidget**, QPointer<QWidget>&, bool) () from /usr/lib64/libQtGui.so.4
#20 0x0000003c76c227cd in ?? () from /usr/lib64/libQtGui.so.4
#21 0x0000003c76c20d60 in QApplication::x11ProcessEvent(_XEvent*) () from /usr/lib64/libQtGui.so.4
#22 0x0000003c76c49c42 in ?? () from /usr/lib64/libQtGui.so.4
#23 0x0000003cc7e38f0e in g_main_context_dispatch () from /lib64/libglib-2.0.so.0
#24 0x0000003cc7e3c938 in ?? () from /lib64/libglib-2.0.so.0
#25 0x0000003cc7e3ca3a in g_main_context_iteration () from /lib64/libglib-2.0.so.0
#26 0x0000003c7657d2b3 in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) ()
   from /usr/lib64/libQtCore.so.4
#27 0x0000003c76c4990e in ?? () from /usr/lib64/libQtGui.so.4
#28 0x0000003c76556422 in QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) ()
   from /usr/lib64/libQtCore.so.4
#29 0x0000003c765566ec in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib64/libQtCore.so.4
#30 0x0000003c765589d9 in QCoreApplication::exec() () from /usr/lib64/libQtCore.so.4
#31 0x000000000043068e in main (argc=1, argv=<value optimized out>) at main.cpp:780
(gdb) q

Version-Release number of selected component (if applicable):

1.5.6

How reproducible:

Every time.

Steps to Reproduce:
1. Open pmchart settings/preferences dialog
2. Select a color scheme to delete, press Remove
3. Continue navigation in the color scheme drop down, soon sigsegv will happen
  
Actual results:

sigsegv program termination.

Expected results:

no sigsegv generated, color scheme really removed.

Additional info:
Comment 1 Nathan Scott 2013-05-15 23:31:39 EDT
Resolved by upstream git commit 0da53676b1682833fef49a5c3cd5c0f648573e13.
Comment 2 Nathan Scott 2013-05-20 18:51:46 EDT
*** Bug 963505 has been marked as a duplicate of this bug. ***
Comment 4 Fedora End Of Life 2013-09-16 13:07:17 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 20 development cycle.
Changing version to '20'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora20
Comment 5 Nathan Scott 2014-02-04 16:43:28 EST
Closing out manually - issue has been long since fixed.

Note You need to log in before you can comment on or make changes to this bug.